package com.gyee.frame.model.auto;

import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.lang.Double;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 *  Weatherfd 
 * @author Wang Jiawen_自动生成
 * @email 1@qq.com
 * @date 2020-01-07 16:13:24
 */
 @ApiModel(value="Weatherfd", description="")
public class Weatherfd implements Serializable {

	private static final long serialVersionUID = 1L;
	
		
	/** 编号 **/
	@ApiModelProperty(value = "编号") 
private String id;
		
	/** 日期 **/
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	@ApiModelProperty(value = "日期") 
private Date recodedata;
		
	/** 地点 **/
	@ApiModelProperty(value = "地点") 
private String region;
		
	/** 风场编号 **/
	@ApiModelProperty(value = "风场编号") 
private String windpowerstationid;
		
	/** 气象 **/
	@ApiModelProperty(value = "气象") 
private String weather;
		
	/** 最高温度 **/
	@ApiModelProperty(value = "最高温度") 
private Double maximumtem;
		
	/** 最低温度 **/
	@ApiModelProperty(value = "最低温度") 
private Double minimumtem;
		
	/** 日出时间 **/
	@ApiModelProperty(value = "日出时间") 
private String sunrise;
		
	/** 日落时间 **/
	@ApiModelProperty(value = "日落时间") 
private String sunset;
		
	/** 持续时间 **/
	@ApiModelProperty(value = "持续时间") 
private Double sunduration;
		
	/** 白天气 **/
	@ApiModelProperty(value = "白天气") 
private String weather1;
		
	/** 白温度 **/
	@ApiModelProperty(value = "白温度") 
private Double temperature1;
		
	/** 白体感温度 **/
	@ApiModelProperty(value = "白体感温度") 
private Double realfeel1;
		
	/** 白降水 **/
	@ApiModelProperty(value = "白降水") 
private Double precipitation1;
		
	/** 白风向 **/
	@ApiModelProperty(value = "白风向") 
private String winddirection1;
		
	/** 白风速 **/
	@ApiModelProperty(value = "白风速") 
private Double speed1;
		
	/** 白阵风速 **/
	@ApiModelProperty(value = "白阵风速") 
private Double gust1;
		
	/** 夜天气 **/
	@ApiModelProperty(value = "夜天气") 
private String weather2;
		
	/** 夜温度 **/
	@ApiModelProperty(value = "夜温度") 
private Double temperature2;
		
	/** 夜体感 **/
	@ApiModelProperty(value = "夜体感") 
private Double realfeel2;
		
	/** 夜降水 **/
	@ApiModelProperty(value = "夜降水") 
private Double precipitation2;
		
	/** 夜风向 **/
	@ApiModelProperty(value = "夜风向") 
private String winddirection2;
		
	/** 夜风速 **/
	@ApiModelProperty(value = "夜风速") 
private Double speed2;
		
	/** 夜阵风速 **/
	@ApiModelProperty(value = "夜阵风速") 
private Double gust2;
		
		
	public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
	 
			
	public Date getRecodedata() {
        return recodedata;
    }

    public void setRecodedata(Date recodedata) {
        this.recodedata = recodedata;
    }
	 
			
	public String getRegion() {
        return region;
    }

    public void setRegion(String region) {
        this.region = region;
    }
	 
			
	public String getWindpowerstationid() {
        return windpowerstationid;
    }

    public void setWindpowerstationid(String windpowerstationid) {
        this.windpowerstationid = windpowerstationid;
    }
	 
			
	public String getWeather() {
        return weather;
    }

    public void setWeather(String weather) {
        this.weather = weather;
    }
	 
			
	public Double getMaximumtem() {
        return maximumtem;
    }

    public void setMaximumtem(Double maximumtem) {
        this.maximumtem = maximumtem;
    }
	 
			
	public Double getMinimumtem() {
        return minimumtem;
    }

    public void setMinimumtem(Double minimumtem) {
        this.minimumtem = minimumtem;
    }
	 
			
	public String getSunrise() {
        return sunrise;
    }

    public void setSunrise(String sunrise) {
        this.sunrise = sunrise;
    }
	 
			
	public String getSunset() {
        return sunset;
    }

    public void setSunset(String sunset) {
        this.sunset = sunset;
    }
	 
			
	public Double getSunduration() {
        return sunduration;
    }

    public void setSunduration(Double sunduration) {
        this.sunduration = sunduration;
    }
	 
			
	public String getWeather1() {
        return weather1;
    }

    public void setWeather1(String weather1) {
        this.weather1 = weather1;
    }
	 
			
	public Double getTemperature1() {
        return temperature1;
    }

    public void setTemperature1(Double temperature1) {
        this.temperature1 = temperature1;
    }
	 
			
	public Double getRealfeel1() {
        return realfeel1;
    }

    public void setRealfeel1(Double realfeel1) {
        this.realfeel1 = realfeel1;
    }
	 
			
	public Double getPrecipitation1() {
        return precipitation1;
    }

    public void setPrecipitation1(Double precipitation1) {
        this.precipitation1 = precipitation1;
    }
	 
			
	public String getWinddirection1() {
        return winddirection1;
    }

    public void setWinddirection1(String winddirection1) {
        this.winddirection1 = winddirection1;
    }
	 
			
	public Double getSpeed1() {
        return speed1;
    }

    public void setSpeed1(Double speed1) {
        this.speed1 = speed1;
    }
	 
			
	public Double getGust1() {
        return gust1;
    }

    public void setGust1(Double gust1) {
        this.gust1 = gust1;
    }
	 
			
	public String getWeather2() {
        return weather2;
    }

    public void setWeather2(String weather2) {
        this.weather2 = weather2;
    }
	 
			
	public Double getTemperature2() {
        return temperature2;
    }

    public void setTemperature2(Double temperature2) {
        this.temperature2 = temperature2;
    }
	 
			
	public Double getRealfeel2() {
        return realfeel2;
    }

    public void setRealfeel2(Double realfeel2) {
        this.realfeel2 = realfeel2;
    }
	 
			
	public Double getPrecipitation2() {
        return precipitation2;
    }

    public void setPrecipitation2(Double precipitation2) {
        this.precipitation2 = precipitation2;
    }
	 
			
	public String getWinddirection2() {
        return winddirection2;
    }

    public void setWinddirection2(String winddirection2) {
        this.winddirection2 = winddirection2;
    }
	 
			
	public Double getSpeed2() {
        return speed2;
    }

    public void setSpeed2(Double speed2) {
        this.speed2 = speed2;
    }
	 
			
	public Double getGust2() {
        return gust2;
    }

    public void setGust2(Double gust2) {
        this.gust2 = gust2;
    }
	 
			
	public Weatherfd() {
        super();
    }
    
																																																																																																																										
	public Weatherfd(String id,Date recodedata,String region,String windpowerstationid,String weather,Double maximumtem,Double minimumtem,String sunrise,String sunset,Double sunduration,String weather1,Double temperature1,Double realfeel1,Double precipitation1,String winddirection1,Double speed1,Double gust1,String weather2,Double temperature2,Double realfeel2,Double precipitation2,String winddirection2,Double speed2,Double gust2) {
	
		this.id = id;
		this.recodedata = recodedata;
		this.region = region;
		this.windpowerstationid = windpowerstationid;
		this.weather = weather;
		this.maximumtem = maximumtem;
		this.minimumtem = minimumtem;
		this.sunrise = sunrise;
		this.sunset = sunset;
		this.sunduration = sunduration;
		this.weather1 = weather1;
		this.temperature1 = temperature1;
		this.realfeel1 = realfeel1;
		this.precipitation1 = precipitation1;
		this.winddirection1 = winddirection1;
		this.speed1 = speed1;
		this.gust1 = gust1;
		this.weather2 = weather2;
		this.temperature2 = temperature2;
		this.realfeel2 = realfeel2;
		this.precipitation2 = precipitation2;
		this.winddirection2 = winddirection2;
		this.speed2 = speed2;
		this.gust2 = gust2;
		
	}
	
}